<div class="page-wrapper">
    <div class="wrapper wrapper--w790">
        <div class="card card-5">
            <div class="card-heading">
                <h2 class="title">Modifier un Abonnement</h2>
            </div>
            <div class="card-body">
                <form #editForm="ngForm">
                    <div class="form-row">
                        <div class="name">Réference Tunisie Télècom<span class="text-danger">*</span></div>
                        <div class="value">
                            <div class="input-group">
                                <input class="input--style-5" type="text" ngModel="{{abonnementToUpdate?.refTT}}" id="refTT" name="refTT">
                            </div>
                        </div>
                    </div>

                    <div class="form-row">
                        <div class="name">Etat Tunisie Télècom<span class="text-danger">*</span></div>
                        <div class="value">
                            <div class="input-group">
                                <input class="input--style-5" type="text" ngModel="{{abonnementToUpdate?.etatTT}}" id="etatTT" name="etatTT">

                            </div>
                        </div>
                    </div>

                    <div class="form-row">
                        <div class="name">Agence Livraison<span class="text-danger">*</span></div>
                        <div class="value">
                            <div class="input-group">
                                <input
                                class="input--style-5"
                                ngModel="{{abonnementToUpdate?.agenceLivraison}}"
                                id="agenceLivraison" 
                                name="agenceLivraison"
                                [ngbTypeahead]="searchAgence"
                                (focus)="focusAgence$.next($any($event).target.value)"
                                (click)="clickAgence$.next($any($event).target.value)"
                                #instanceAgence="ngbTypeahead">

                            

                            </div>
                        </div>
                    </div>


                    
                    <div>
                        <button class="btn btn--radius-2 btn--green" (click)="onUpdateAbonnement(editForm.value)">Modifier</button>
                        <button style="margin-left: 15px;" class="btn btn--radius-2 btn--blue" type="button" (click)="goBack()">Annuler</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
